## gimpgradientmenu

gimpgradientmenu — A widget for selecting gradients.

## Functions

GtkWidget * | gimp_gradient_select_widget_new ()
void | gimp_gradient_select_widget_close ()
void | gimp_gradient_select_widget_set ()

## Description

A widget for selecting gradients.

## Functions

### gimp_gradient_select_widget_new ()

    GtkWidget *
    gimp_gradient_select_widget_new (const gchar *title,
                                     const gchar *gradient_name,
                                     GimpRunGradientCallback callback,
                                     gpointer data);

`gimp_gradient_select_widget_new` is deprecated and should not be used in newly-written code.

Creates a new GtkWidget that completely controls the selection of a gradient. This widget is suitable for placement in a table in a plug-in dialog.

#### Parameters

title | Title of the dialog to use or `NULL` to use the default title. |
gradient_name | Initial gradient name. |
callback | A function to call when the selected gradient changes. |
data | A pointer to arbitrary data to be used in the call to `callback` . |

#### Returns

A GtkWidget that you can use in your UI.

Since: 2.2

### gimp_gradient_select_widget_close ()

    void
    gimp_gradient_select_widget_close (GtkWidget *widget);

`gimp_gradient_select_widget_close` is deprecated and should not be used in newly-written code.

Closes the popup window associated with `widget` .

#### Parameters

widget | A gradient select widget. |

### gimp_gradient_select_widget_set ()

    void
    gimp_gradient_select_widget_set (GtkWidget *widget,
                                     const gchar *gradient_name);

`gimp_gradient_select_widget_set` is deprecated and should not be used in newly-written code.

Sets the current gradient for the gradient select widget. Calls the callback function if one was supplied in the call to `gimp_gradient_select_widget_new()`.

#### Parameters

widget | A gradient select widget. |
gradient_name | Gradient name to set. |

## Types and Values